XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

More Multi Platform Tools - Windows, MacOSX, Linux
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

Hello,

XnRetro don't start on Ubuntu 14.04 x64. I have this error in terminal :

Code: Select all

error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
Thank you
User avatar
xnview
Author of XnView
Posts: 36421
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by xnview »

you need to install this library
Pierre.
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

The library is already installed and it's why I asked ;)
I'm on vacation and I don't have access to my desktop where I tried but I have my laptop with Ubuntu 14.04 x64 too.
On my laptop I only had to install libgstreamer-plugins-base0.10-0:i386 and it works.
I will try on my desktop when my vacation are over.

Thank you.
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

I tried on my desktop computer and some x86 library are needed.
On my laptop I probably installed an other soft that has installed almost all needed library.

:idea: It will be great if you can make a .deb for Debian/Ubuntu (x86 & x64) :D
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

Pierre what do you think of the idea to make a .deb for, at least, Ubuntu x86 and x64 ?
User avatar
xnview
Author of XnView
Posts: 36421
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by xnview »

paviluf wrote:Pierre what do you think of the idea to make a .deb for, at least, Ubuntu x86 and x64 ?
yes i'll try to build package...
Pierre.
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

Very nice, thank you very much ;)
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

Hi Pierre,

Any news on the XnRetro Package ?
User avatar
xnview
Author of XnView
Posts: 36421
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by xnview »

paviluf wrote: Any news on the XnRetro Package ?
sorry but currently i'm a little busy, i'll try asap
Pierre.
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

Hi,

I know you are busy, so take your time but I just wanted to remind you ;)
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

2 months later...
You forgot or you don't want to make a .deb for Ubuntu ?
If you don't want, just say it so I won't wait for nothing :mrgreen:
User avatar
xnview
Author of XnView
Posts: 36421
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by xnview »

paviluf wrote:2 months later...
You forgot or you don't want to make a .deb for Ubuntu ?
If you don't want, just say it so I won't wait for nothing :mrgreen:
no no :) but i need to make a new build for next version...
Pierre.
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

OK I'm happy that you don't forget and you still want to make it.
Take your time, especially with the version, thank you ;)
djcj
Posts: 59
Joined: Wed Jan 08, 2014 3:37 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by djcj »

It's not working because it's a 32 bit program (why is there no 64 bit version?), which needs 32 bit libraries.
If you want to install all runtime dependencies on your system, run this in a console:

Code: Select all

sudo apt-get install lib32gcc1 lib32stdc++6 libc6-i386 libfontconfig1:i386 libfreetype6:i386 libglib2.0-0:i386 libgstreamer-plugins-base0.10-0:i386 libgstreamer0.10-0:i386 libice6:i386 libjpeg62:i386 libpng12-0:i386 libqt4-svg:i386 libsm6:i386 libx11-6:i386 libxext6:i386 libxml2:i386 libxrender1:i386 zlib1g:i386
I'm using Ubuntu 14.04 x64 too and it works without problems for me.

If you want to build a Debian package, download this tarball, extract it and run "make" inside the xnretro directory.
The Makefile will download XnRetro and build a Debian package. However, it will use pbuilder to build the package within a chroot environment and bootstrapping the environment might take some time.

If you want to build your own debian package, run:

Code: Select all

sudo apt-get install debhelper quilt wget imagemagick chrpath
wget https://github.com/darealshinji/debian/archive/master.tar.gz && tar xvf master.tar.gz
cd debian-master/graphics/xnretro && make all PBUILDER=0 DEPS=0
You will find the package in the directory 'buildresult' inside your home directory.

Or I'll just send you the package I have created.
paviluf
Posts: 12
Joined: Fri Sep 05, 2014 10:41 pm

Re: XnRetro don't start on Ubuntu 14.04 x64 (libstdc++.so.6)

Post by paviluf »

Thank you for this infos but I will wait for an official package ;)
Anyway it can be useful for some people.

In the meantime I found this and it works pretty well https://chrome.google.com/webstore/deta ... nhmpcfpmgg